package ibase.dashboard.scm.ejb;

import java.rmi.RemoteException;
import ibase.webitm.ejb.ValidatorRemote;
import ibase.webitm.utility.ITMException;
import javax.ejb.Remote;
import org.json.simple.JSONObject;

@Remote
public interface CustomerInfoRemote extends ValidatorRemote
{
	public JSONObject getCurrentReceivable(String custCode, String prdCode, String dataSourceName) throws RemoteException, ITMException;
    public JSONObject getPendingOrder(String custCode, String prdCode, String dataSourceName) throws RemoteException, ITMException;
    public JSONObject getOrderHistory(String custCode, String prdCode, String dataSourceName) throws RemoteException, ITMException;
    public JSONObject getSalesHistory(String custCode, String prdCode, String dataSourceName) throws RemoteException, ITMException;
    public JSONObject getTransactionSummary(String custCode, String prdCode, String dataSourceName) throws RemoteException, ITMException;
    public JSONObject getCurrentReceivableChartView(String custCode, String lastMonth,String dataSourceName) throws RemoteException, ITMException;
}
